escript::FMin Struct Reference

Return the minimum value of the two given values. More...

`#include <ArrayOps.h>`

## Public Types

typedef DataTypes::real_t | first_argument_type
typedef DataTypes::real_t | second_argument_type
typedef DataTypes::real_t | result_type

## Public Member Functions

DataTypes::real_t | operator() (DataTypes::real_t x, DataTypes::real_t y) const

## Detailed Description

Return the minimum value of the two given values.

## Member Typedef Documentation

## first_argument_type

typedef DataTypes::real_t escript::FMin::first_argument_type

## result_type

typedef DataTypes::real_t escript::FMin::result_type

## second_argument_type

typedef DataTypes::real_t escript::FMin::second_argument_type

## Member Function Documentation

## operator()()

DataTypes::real_t escript::FMin::operator() | ( | DataTypes::real_t | x,
|  | DataTypes::real_t | y
| ) |  | const

inline

The documentation for this struct was generated from the following file:

- ArrayOps.h